Bug 207371 - Who are you?: Permission denied
Who are you?: Permission denied
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 16:47 EDT by Nerijus Baliūnas
Modified: 2008-05-06 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2006-09-20 16:47:51 EDT
I'm getting such messages from cron daemon:

Date: Sun, 17 Sep 2006 03:02:14 +0300
From: Cron Daemon <root@backup.example.net>
Subject: Cron <root@backup> run-parts /etc/cron.daily
To: root@backup.example.net

/etc/cron.daily/0logwatch:



Who are you?: Permission denied

/etc/cron.daily/raid_mon:



Who are you?: Permission denied


In /var/log/maillog at this time:

Sep 17 03:02:06 backup sendmail[10128]: k8H026UD010128: SYSERR(UID0): Who are
you?: Permission denied
Sep 17 03:02:14 backup sendmail[10128]: k8H026UD010128: from=postmaster,
size=19977, class=0, nrcpts=1,
msgid=<200609170002.k8H026UD010128@backup.example.net>, relay=root@localhost
Sep 17 03:02:14 backup sendmail[10396]: k8H02EHK010396:
from=<postmaster@backup.example.net>, size=20249, class=0, nrcpts=1,
msgid=<200609170002.k8H026UD010128@backup.example.net>, proto=ESMTP, daemon=MTA,
relay=backup.example.net [127.0.0.1]
Sep 17 03:02:14 backup sendmail[10128]: k8H026UD010128: to=root, delay=00:00:08,
xdelay=00:00:00, mailer=relay, pri=49977, relay=[127.0.0.1] [127.0.0.1],
dsn=2.0.0, stat=Sent (k8H02EHK010396 Message accepted for delivery)
Sep 17 03:02:14 backup sendmail[10398]: k8H02ElZ010398: SYSERR(UID0): Who are
you?: Permission denied

Configuration of sendmail is default.
These messages are probably because sendmail can not determine a user when cron
runs?
Comment 1 Thomas Woerner 2006-09-21 05:27:51 EDT
Please try to call /etc/cron.daily/0logwatch by hand. If the error still occurs,
then this is no sendmail bug.
Comment 2 Nerijus Baliūnas 2006-09-21 08:33:05 EDT
Error still occurs in /var/log/maillog, but not console, when I run raid_mon,
which uses Mail command:
Mail ${RAID_ADMIN} -s 'RAID anomaly' <${DIFF_FILE}

0logwatch (it's from logwatch rpm btw) produces errors both in console and log
file. It uses sendmail -t.

If it is not sendmail bug, how can I get rid of these messages?
I don't get such messages on postfix systems.

And I get these messages in nightly logwatch email:

 --------------------- Cron Begin ------------------------ 



 MAIL sending errors 2 Time(s)

 

 ---------------------- Cron End ------------------------- 

 --------------------- sendmail Begin ------------------------ 


 

 SEVERE ERRORS

 -------------

 

 System Error Messages:

     Who are you?: Permission denied: 4 Time(s)

 

 Total SEVERE ERRORS:  4

 

 ---------------------- sendmail End ------------------------- 
Comment 3 Thomas Woerner 2007-08-01 09:00:49 EDT
Why are the mails from cron from user postmaster? THis user des not exist.
Comment 4 Nerijus Baliūnas 2007-08-01 09:53:12 EDT
Probably because Return-Path is not set, so it defaults to <>, i.e. postmaster?
The received message looks like this:

Return-Path: <postmaster@backup.example.net>

Received: from backup.example.net (backup.example.net [127.0.0.1])

	by backup.example.net (8.13.8/8.13.8) with ESMTP id l6V25weF007878

	for <root@backup.example.net>; Tue, 31 Jul 2007 05:05:58 +0300

Received: (from root@localhost)

	by backup.example.net (8.13.8/8.13.8/Submit) id l6V0KIFK007478;

	Tue, 31 Jul 2007 03:20:18 +0300

Date: Tue, 31 Jul 2007 03:20:18 +0300

Message-Id: <200707310020.l6V0KIFK007478@backup.example.net>

From: root@backup.example.net (Cron Daemon)

To: root@backup.example.net

Subject: Cron <root@backup> run-parts /etc/cron.daily

Content-Type: text/plain; charset=ISO-8859-1

Auto-Submitted: auto-generated

X-Cron-Env: <SHELL=/bin/bash>

X-Cron-Env: <PATH=/sbin:/bin:/usr/sbin:/usr/bin>

X-Cron-Env: <MAILTO=root>

X-Cron-Env: <HOME=/>

X-Cron-Env: <LOGNAME=root>

X-Cron-Env: <USER=root>


/etc/cron.daily/0logwatch:



Who are you?: Permission denied

Comment 5 Thomas Woerner 2007-08-29 12:00:52 EDT
Please try use a different user for reply massages or set an alias to another one.
Comment 6 Thomas Woerner 2007-09-24 10:25:46 EDT
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".
Comment 7 Nerijus Baliūnas 2007-09-24 16:49:00 EDT
What does it mean "Please try use a different user for reply massages or set an
alias to another one"? I cannot change Return-Path, if you mean it, as it is not
me who generates mail messages but logwatch script.
Comment 8 Thomas Woerner 2007-09-28 08:58:11 EDT
Can you please verify that your sendmail and logwatch installations are ok? Use
"rpm -Va sendmail logwatch" for this.
Comment 9 Nerijus Baliūnas 2007-09-28 09:18:32 EDT
# rpm -Va sendmail logwatch
S.5....T c /var/log/mail/statistics
S.5....T c /etc/logwatch/conf/override.conf

sendmail was recently updated to sendmail-8.14.1-4.2.fc6, and
/etc/logwatch/conf/override.conf is:
# Configuration overrides for specific logfiles/services may be placed here.
services/iptables: $iptables_host_min_count = 10
Comment 10 Thomas Woerner 2007-11-29 11:58:26 EST
Do you have the root user with uid 0 in your passwd file?
Are you getting selinux avc messages?
Comment 11 Nerijus Baliūnas 2007-11-30 07:31:44 EST
/etc/passwd:
root:x:0:0:root:/root:/bin/bash

selinux is disabled.
Comment 12 Bug Zapper 2008-04-03 23:48:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 12:22:43 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.